Page MenuHomePhabricator

Enable thanks on Page creation log
Closed, ResolvedPublic

Description

This log didn't exist when thanks for log entries were allowed.

Such a thank should be "redirected" to the first revision of the page. The user will then see a specific message (T201507).

Event Timeline

Restricted Application added a project: Growth-Team. · View Herald TranscriptJan 13 2019, 5:42 PM
Restricted Application added a subscriber: Aklapper. · View Herald Transcript
JTannerWMF moved this task from Inbox to Revisit on the Growth-Team board.Jan 17 2019, 9:28 PM

@Niharika Is the Community-Tech team still working on log entry thanks, or is this our responsibility now?

Separate from that, it seems like it'd be easy to add page creations to the list of thankable log types, but harder to redirect the thanks to the first revision as requested in the task description.

@Catrope Our work on log entry thanks is long done. It's quite straightforward to add a new log to the list. You'll notice that not all log types are in the list - there are a few conflict cases where community members or Anti-Harassment had concerns. There's discussion in the epic and subtasks.

By default the notification links to Special:Log with the logid of the log that was thanked as a param. Example. Definitely trickier to link to the first revision.

@matej_suchanek how important do you think it is that the thanks notification links to the first revision of the page created?

It isn't that important but I think having thanks for creating an article is more user-friendly than for an activity on it.

AFAIK some logs already do this, for example move log.

Change 492387 had a related patch set uploaded (by Matěj Suchánek; owner: Matěj Suchánek):
[mediawiki/extensions/Thanks@master] Enable thanks on Page creation log

https://gerrit.wikimedia.org/r/492387

Catrope closed this task as Resolved.Mar 7 2019, 7:50 PM
Catrope claimed this task.
Catrope reassigned this task from Catrope to matej_suchanek.

Change 492387 merged by jenkins-bot:
[mediawiki/extensions/Thanks@master] Enable thanks on Page creation log

https://gerrit.wikimedia.org/r/492387